StarZone Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
StarZone Class Reference

a zone in a StarOffice file More...

`#include <StarZone.hxx>`

## Public Member Functions
| StarZone (STOFFInputStreamPtr input, std::string const &ascName, std::string const &zoneName, char const *password)
| constructor More...
virtual | ~StarZone ()
| destructor More...
bool | readSWHeader ()
| read the zone header present in a SW file More...
bool | checkEncryption (uint32_t date, uint32_t time, std::vector< uint8_t > const &passwd)
| check encryption More...
bool | openSDRHeader (std::string &magic)
| open a zone header present in a SDR file More...
bool | closeSDRHeader (std::string const &debugName)
| close a zone header More...
bool | openSCHHeader ()
| open a zone header present in a SCH file More...
bool | closeSCHHeader (std::string const &debugName)
| close a zone header More...
bool | openVersionCompatHeader ()
| open a version compat header (version+size) More...
bool | closeVersionCompatHeader (std::string const &debugName)
| close a zone header More...
int | getVersion () const
| returns the StarOffice version: 3-5 More...
int | getDocumentVersion () const
| returns the StarOffice document version More...
int | getHeaderVersion () const
| returns the StarOffice header version (if set) More...
int | isCompatibleWith (int vers) const
| checks if the document is compatible with vers More...
int | isCompatibleWith (int vers1, int vers2) const
| checks if the document is compatible with vers1 and not vers2 More...
int | isCompatibleWith (int vers1, int vers2, int vers3) const
| checks if the document is compatible with vers1 and not vers2 or vers3 More...
int | isCompatibleWith (int vers1, int vers2, int vers3, int vers4) const
| checks if the document is compatible with vers1 and not vers2 or vers3 and not vers4 More...
StarEncoding::Encoding | getEncoding () const
| returns the zone encoding More...
void | setEncoding (StarEncoding::Encoding encod)
| sets the zone encoding More...
int | getGuiType () const
| returns the zone GUI type More...
void | setGuiType (int type)
| sets the zone GUI type More...
bool | openRecord ()
| try to open a classic record: size (32 bytes) + size-4 bytes More...
bool | closeRecord (std::string const &debugName)
| try to close a record More...
bool | openDummyRecord ()
| open a dummy record More...
bool | closeDummyRecord ()
| close a dummy record More...
bool | openSCRecord ()
| try to open a SC record: size (32 bytes) + size bytes More...
bool | closeSCRecord (std::string const &debugName)
| try to close a record More...
bool | openSWRecord (char &type)
| try to open a SW record: type + size (24 bytes) More...
bool | closeSWRecord (char type, std::string const &debugName)
| try to close a record More...
bool | openSfxRecord (char &type)
| try to open a Sfx record: type + size (24 bytes) More...
bool | closeSfxRecord (char type, std::string const &debugName)
| try to close a record More...
int | getRecordLevel () const
| returns the record level More...
long | getRecordLastPosition () const
| returns the actual record last position More...
unsigned char | openFlagZone ()
| try to open a cflag zone More...
void | closeFlagZone ()
| close the cflag zone More...
long | getFlagLastPosition () const
| returns the flag last position More...
bool | readString (std::vector< uint32_t > &string, int encoding=-1) const
| try to read an unicode string More...
bool | readStringsPool ()
| try to read a pool of strings More...
bool | getPoolName (int poolId, librevenge::RVNGString &res) const
| try to return a pool name More...
STOFFInputStreamPtr | input ()
| return the zone input More...
void | setInput (STOFFInputStreamPtr input)
| reset the current input More...
libstoff::DebugFile & | ascii ()
| returns the ascii file More...
std::string const & | name () const
| return the zone name More...

## Protected Member Functions
bool | readRecordSizes (long pos)
| try to read the record sizes More...
bool | closeRecord (char type, std::string const &debugName)
| try to close a record More...

## Protected Attributes
STOFFInputStreamPtr | m_input
| the input stream More...
libstoff::DebugFile | m_ascii
| the ascii zone More...
int | m_version
| the zone version More...
int | m_documentVersion
| the document version More...
std::stack< int > | m_headerVersionStack
| the header version (for SDR zone) More...
StarEncoding::Encoding | m_encoding
| the zone encoding More...
int | m_guiType
| the zone GUI type More...
shared_ptr< StarEncryption > | m_encryption
| the encryption More...
std::string | m_asciiName
| the file ascii name More...
std::string | m_zoneName
| the zone name More...
std::stack< char > | m_typeStack
| the type stack More...
std::stack< long > | m_positionStack
| the position stack More...
std::map< long, long > | m_beginToEndMap
| other position to end position zone More...
long | m_flagEndZone
| end of a cflags zone More...
std::vector< librevenge::RVNGString > | m_poolList
| the pool name list More...

## Detailed Description

a zone in a StarOffice file

## Constructor & Destructor Documentation

StarZone::StarZone | ( | STOFFInputStreamPtr | input,
|  | std::string const & | ascName,
|  | std::string const & | zoneName,
|  | char const * | password
| ) |  |

constructor

StarZone::~StarZone | ( |  | ) |
| virtual

destructor

## Member Function Documentation

libstoff::DebugFile& StarZone::ascii | ( |  | ) |
| inline

returns the ascii file

Referenced by StarObjectSpreadsheetInternal::ScMultiRecord::close(), StarFileManagerInternal::SfxMultiRecord::close(), StarItemPoolInternal::SfxMultiRecord::close(), StarObjectSpreadsheetInternal::ScMultiRecord::closeContent(), SDGParser::createZones(), StarFileManagerInternal::SfxMultiRecord::getNewContent(), StarItemPoolInternal::SfxMultiRecord::getNewContent(), StarObject::parse(), StarObjectSmallText::read(), StarObjectModel::read(), StarGraphicStruct::StarGraphic::read(), StarParagraphAttribute::StarPAttributeAdjust::read(), StarParagraphAttribute::StarPAttributeLRSpace::read(), StarParagraphAttribute::StarPAttributeULSpace::read(), StarCellAttribute::StarCAttributeMargins::read(), StarGraphicAttribute::StarGAttributeBorder::read(), StarCellAttribute::StarCAttributeMerge::read(), StarGraphicAttribute::StarGAttributeBoxInfo::read(), StarCellAttribute::StarCAttributePattern::read(), StarPageAttribute::StarPAttributePage::read(), StarCharAttribute::StarCAttributeEscapement::read(), StarGraphicAttribute::StarGAttributeBrush::read(), StarCharAttribute::StarCAttributeFont::read(), StarCellAttribute::StarCAttributeProtection::read(), StarPageAttribute::StarPAttributePageHF::read(), StarPageAttribute::StarPAttributePrint::read(), StarGraphicAttribute::StarGAttributeNamedArrow::read(), StarPageAttribute::StarPAttributeRangeItem::read(), StarGraphicAttribute::StarGAttributeNamedBitmap::read(), StarGraphicAttribute::StarGAttributeNamedColor::read(), StarGraphicAttribute::StarGAttributeNamedDash::read(), StarCharAttribute::StarCAttributeFontSize::read(), StarGraphicAttribute::StarGAttributeNamedGradient::read(), StarGraphicAttribute::StarGAttributeNamedHatch::read(), StarGraphicAttribute::StarGAttributeShadow::read(), StarAttributeBool::read(), StarAttributeColor::read(), StarAttributeDouble::read(), StarAttributeInt::read(), StarAttributeUInt::read(), StarAttributeVec2i::read(), StarAttributeItemSet::read(), StarAttributeVoid::read(), StarItemPool::readAttribute(), StarAttributeManager::readAttribute(), StarBitmap::readBitmap(), SDGParser::readBitmap(), StarBitmap::readBitmapInformation(), StarObjectSpreadsheet::readCalcDocument(), StarObjectChart::readChartDocument(), StarObjectDraw::readDrawDocument(), StarObjectText::readDrawingLayer(), SWFieldManager::readField(), StarObjectSmallGraphic::readFmFormObject(), StarFileManager::readFont(), StarItemPool::readItem(), StarObject::readItemSet(), StarFileManager::readJobSetUp(), StarFileManager::readMathDocument(), StarFormatManager::readNumberFormat(), StarFormatManager::readNumberFormatter(), StarObject::readPersistData(), StarObject::readPersistElements(), StarObjectDraw::readPresentationData(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCColumn(), StarObjectSpreadsheet::readSCData(), StarObjectSpreadsheet::readSCDBData(), StarObjectSpreadsheet::readSCDBPivot(), StarCellFormula::readSCFormula(), StarCellFormula::readSCFormula3(), StarObjectChart::readSCHAttributes(), StarObjectChart::readSCHMemChart(), StarObjectSmallGraphic::readSCHUObject(), StarObjectSpreadsheet::readSCMatrix(), StarObjectSpreadsheet::readSCOutlineArray(), StarObjectSpreadsheet::readSCQueryParam(), StarObjectSpreadsheet::readSCTable(), StarObjectDraw::readSdrCustomShow(), StarObjectDraw::readSdrFrameView(), StarObjectSmallGraphic::readSDRGluePoint(), StarObjectSmallGraphic::readSDRGluePointList(), StarObjectDraw::readSdrHelpLine(), StarObjectDraw::readSdrHelpLineSet(), StarObjectModel::readSdrLayer(), StarObjectModel::readSdrLayerSet(), StarObjectModel::readSdrMPageDesc(), StarObjectModel::readSdrMPageDescList(), StarObjectSmallGraphic::readSdrObject(), StarObjectSmallGraphic::readSDRObjectConnection(), StarObjectSmallGraphic::readSDRObjectSurrogate(), StarObjectSmallGraphic::readSDROutlinerParaObject(), StarObjectModel::readSdrPage(), StarObjectModel::readSdrPageUnknownZone1(), StarObjectSmallGraphic::readSDRUserData(), StarObjectSmallGraphic::readSDRUserDataList(), StarObjectDraw::readSdrView(), StarObjectSmallGraphic::readSDUDObject(), StarObject::readSfxDocumentInformation(), StarObject::readSfxPreview(), StarObjectChart::readSfxStyleSheets(), StarObjectDraw::readSfxStyleSheets(), StarObjectText::readSfxStyleSheets(), StarObjectSpreadsheet::readSfxStyleSheets(), StarObject::readSfxStyleSheets(), SDGParser::readSGA3(), StarItemPool::readStyles(), StarObjectSmallGraphic::readSVDRObject(), StarObjectSmallGraphic::readSVDRObjectAttrib(), StarObjectSmallGraphic::readSVDRObjectCaption(), StarObjectSmallGraphic::readSVDRObjectCircle(), StarObjectSmallGraphic::readSVDRObjectEdge(), StarObjectSmallGraphic::readSVDRObjectGraph(), StarObjectSmallGraphic::readSVDRObjectGroup(), StarObjectSmallGraphic::readSVDRObjectHeader(), StarObjectSmallGraphic::readSVDRObjectMeasure(), StarObjectSmallGraphic::readSVDRObjectOLE(), StarObjectSmallGraphic::readSVDRObjectPath(), StarObjectSmallGraphic::readSVDRObjectRect(), StarObjectSmallGraphic::readSVDRObjectText(), StarFileManager::readSVGDI(), StarObjectText::readSWAttribute(), StarObjectText::readSWAttributeList(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWContent(), StarObjectText::readSWDBName(), StarObjectText::readSWDictionary(), StarObjectText::readSWEndNoteInfo(), StarFormatManager::readSWFlyFrameList(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWJobSetUp(), StarObjectText::readSWLayoutInfo(), StarObjectText::readSWLayoutSub(), StarObjectText::readSWMacroTable(), StarObjectText::readSWNodeRedline(), StarFormatManager::readSWNumberFormat(), StarFormatManager::readSWNumberFormatterList(), StarObjectText::readSWNumRule(), StarObjectText::readSwNumRuleList(), StarObjectText::readSWOLENode(), StarObjectText::readSWPageDef(), StarObjectText::readSwPageStyleSheets(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWSection(), StarObjectText::readSWTable(), StarObjectText::readSWTableBox(), StarObjectText::readSWTableLine(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), StarItemPool::readV1(), StarItemPool::readV2(), and StarObjectText::readWriterDocument().

bool StarZone::checkEncryption | ( | uint32_t | date,
|  | uint32_t | time,
|  | std::vector< uint8_t > const & | passwd
| ) |  |

check encryption

Referenced by readSWHeader().

bool StarZone::closeDummyRecord | ( |  | ) |
| inline

close a dummy record

Referenced by StarItemPool::readAttribute().

void StarZone::closeFlagZone | ( |  | ) |

close the cflag zone

Referenced by getRecordLastPosition(), SWFieldManager::readField(), readRecordSizes(), StarObjectText::readSWAttribute(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWContent(), StarObjectText::readSWEndNoteInfo(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWJobSetUp(), StarObjectText::readSWLayoutInfo(), StarObjectText::readSWNodeRedline(), StarFormatManager::readSWNumberFormat(), StarObjectText::readSWNumRule(), StarObjectText::readSwNumRuleList(), StarObjectText::readSWPageDef(), StarObjectText::readSwPageStyleSheets(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWSection(), StarObjectText::readSWTable(), StarObjectText::readSWTableBox(), StarObjectText::readSWTableLine(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOXList(), and StarObjectText::readWriterDocument().

bool StarZone::closeRecord | ( | std::string const & | debugName | ) |
| inline

try to close a record

Referenced by closeDummyRecord(), closeSCHHeader(), closeSCRecord(), closeSDRHeader(), closeSfxRecord(), closeSWRecord(), closeVersionCompatHeader(), name(), StarObjectModel::read(), StarObjectChart::readChartDocument(), StarObjectSmallGraphic::readFmFormObject(), StarObjectSmallGraphic::readSDRGluePoint(), StarObjectSmallGraphic::readSDRGluePointList(), StarObjectModel::readSdrPage(), StarObjectSmallGraphic::readSDRUserData(), StarObjectSmallGraphic::readSDRUserDataList(), StarObjectDraw::readSdrView(), StarObjectSmallGraphic::readSVDRObject(), StarObjectSmallGraphic::readSVDRObjectAttrib(), StarObjectSmallGraphic::readSVDRObjectCaption(), StarObjectSmallGraphic::readSVDRObjectCircle(), StarObjectSmallGraphic::readSVDRObjectEdge(), StarObjectSmallGraphic::readSVDRObjectGraph(), StarObjectSmallGraphic::readSVDRObjectGroup(), StarObjectSmallGraphic::readSVDRObjectHeader(), StarObjectSmallGraphic::readSVDRObjectMeasure(), StarObjectSmallGraphic::readSVDRObjectOLE(), StarObjectSmallGraphic::readSVDRObjectPath(), StarObjectSmallGraphic::readSVDRObjectRect(), and StarObjectSmallGraphic::readSVDRObjectText().

bool StarZone::closeRecord | ( | char | type,
|  | std::string const & | debugName
| ) |  |
| protected

try to close a record

bool StarZone::closeSCHHeader | ( | std::string const & | debugName | ) |

close a zone header

Referenced by StarObjectChart::readChartDocument(), StarObjectDraw::readPresentationData(), StarObjectChart::readSCHAttributes(), StarObjectChart::readSCHMemChart(), StarObjectDraw::readSdrCustomShow(), StarObjectDraw::readSdrFrameView(), and StarObjectSmallGraphic::readSDUDObject().

bool StarZone::closeSCRecord | ( | std::string const & | debugName | ) |
| inline

try to close a record

Referenced by StarObjectSpreadsheetInternal::ScMultiRecord::close(), StarObjectSpreadsheet::readCalcDocument(), StarObject::readPersistData(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCColumn(), StarObjectSpreadsheet::readSCQueryParam(), StarObjectSpreadsheet::readSCTable(), and StarObjectSpreadsheet::readSfxStyleSheets().

bool StarZone::closeSDRHeader | ( | std::string const & | debugName | ) |

close a zone header

Referenced by StarObjectModel::read(), StarObjectDraw::readSdrHelpLine(), StarObjectDraw::readSdrHelpLineSet(), StarObjectModel::readSdrLayer(), StarObjectModel::readSdrLayerSet(), StarObjectModel::readSdrMPageDesc(), StarObjectModel::readSdrMPageDescList(), StarObjectSmallGraphic::readSdrObject(), StarObjectSmallGraphic::readSDRObjectConnection(), StarObjectModel::readSdrPage(), StarObjectDraw::readSdrView(), and StarObjectSmallGraphic::readSVDRObjectGroup().

bool StarZone::closeSfxRecord | ( | char | type,
|  | std::string const & | debugName
| ) |  |
| inline

try to close a record

Referenced by StarFileManagerInternal::SfxMultiRecord::close(), StarItemPoolInternal::SfxMultiRecord::close(), StarItemPool::readStyles(), and StarItemPool::readV2().

bool StarZone::closeSWRecord | ( | char | type,
|  | std::string const & | debugName
| ) |  |
| inline

try to close a record

Referenced by SWFieldManager::readField(), readRecordSizes(), readStringsPool(), StarObjectText::readSWAttribute(), StarObjectText::readSWAttributeList(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWContent(), StarObjectText::readSWDBName(), StarObjectText::readSWDictionary(), StarObjectText::readSWEndNoteInfo(), StarFormatManager::readSWFlyFrameList(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWJobSetUp(), StarObjectText::readSWLayoutInfo(), StarObjectText::readSWLayoutSub(), StarObjectText::readSWMacroTable(), StarObjectText::readSWNodeRedline(), StarFormatManager::readSWNumberFormat(), StarFormatManager::readSWNumberFormatterList(), StarObjectText::readSWNumRule(), StarObjectText::readSwNumRuleList(), StarObjectText::readSWOLENode(), StarObjectText::readSWPageDef(), StarObjectText::readSwPageStyleSheets(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWSection(), StarObjectText::readSWTable(), StarObjectText::readSWTableBox(), StarObjectText::readSWTableLine(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), and StarObjectText::readWriterDocument().

bool StarZone::closeVersionCompatHeader | ( | std::string const & | debugName | ) |

close a zone header

Referenced by StarGraphicStruct::StarGraphic::read(), StarFileManager::readFont(), and StarFileManager::readSVGDI().

int StarZone::getDocumentVersion | ( |  | ) | const
| inline

returns the StarOffice document version

Referenced by StarObjectText::readSWAttribute().

StarEncoding::Encoding StarZone::getEncoding | ( |  | ) | const
| inline

returns the zone encoding

Referenced by StarCellFormula::readSCToken(), and StarObjectSpreadsheet::readSfxStyleSheets().

long StarZone::getFlagLastPosition | ( |  | ) | const
| inline

returns the flag last position

Referenced by StarObjectText::readSWLayoutInfo(), and StarObjectText::readSWTextZone().

int StarZone::getGuiType | ( |  | ) | const
| inline

returns the zone GUI type

int StarZone::getHeaderVersion | ( |  | ) | const
| inline

returns the StarOffice header version (if set)

Referenced by StarObjectModel::read(), StarObjectChart::readChartDocument(), StarFileManager::readFont(), StarObjectDraw::readPresentationData(), StarObjectChart::readSCHAttributes(), StarObjectChart::readSCHMemChart(), StarObjectDraw::readSdrCustomShow(), StarObjectDraw::readSdrFrameView(), StarObjectDraw::readSdrHelpLine(), StarObjectDraw::readSdrHelpLineSet(), StarObjectModel::readSdrLayer(), StarObjectModel::readSdrLayerSet(), StarObjectModel::readSdrMPageDesc(), StarObjectModel::readSdrMPageDescList(), StarObjectSmallGraphic::readSdrObject(), StarObjectSmallGraphic::readSDRObjectConnection(), StarObjectModel::readSdrPage(), StarObjectDraw::readSdrView(), StarObjectSmallGraphic::readSDUDObject(), StarObjectSmallGraphic::readSVDRObjectAttrib(), StarObjectSmallGraphic::readSVDRObjectEdge(), StarObjectSmallGraphic::readSVDRObjectGraph(), StarObjectSmallGraphic::readSVDRObjectGroup(), StarObjectSmallGraphic::readSVDRObjectHeader(), StarObjectSmallGraphic::readSVDRObjectPath(), StarObjectSmallGraphic::readSVDRObjectRect(), and StarObjectSmallGraphic::readSVDRObjectText().

bool StarZone::getPoolName | ( | int | poolId,
|  | librevenge::RVNGString & | res
| ) |  | const
| inline

try to return a pool name

Referenced by StarAttributeManager::readAttribute(), SWFieldManager::readField(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWNumRule(), StarObjectText::readSWPageDef(), StarObjectText::readSWTOX51List(), and StarObjectText::readSWTOXList().

long StarZone::getRecordLastPosition | ( |  | ) | const
| inline

returns the actual record last position

Referenced by StarObjectSpreadsheetInternal::ScMultiRecord::close(), StarFileManagerInternal::SfxMultiRecord::close(), StarItemPoolInternal::SfxMultiRecord::close(), StarFileManagerInternal::SfxMultiRecord::open(), StarItemPoolInternal::SfxMultiRecord::open(), StarObjectSpreadsheetInternal::ScMultiRecord::open(), StarObjectModel::read(), StarItemPool::read(), StarGraphicStruct::StarGraphic::read(), StarObjectSpreadsheet::readCalcDocument(), StarObjectChart::readChartDocument(), SWFieldManager::readField(), StarObjectSmallGraphic::readFmFormObject(), StarFileManager::readFont(), StarFileManager::readJobSetUp(), StarFormatManager::readNumberFormatter(), StarObject::readPersistData(), StarObjectDraw::readPresentationData(), readRecordSizes(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCColumn(), StarObjectSpreadsheet::readSCData(), StarObjectChart::readSCHAttributes(), StarObjectChart::readSCHMemChart(), StarObjectSpreadsheet::readSCOutlineArray(), StarObjectSpreadsheet::readSCTable(), StarObjectDraw::readSdrCustomShow(), StarObjectDraw::readSdrFrameView(), StarObjectSmallGraphic::readSDRGluePointList(), StarObjectDraw::readSdrHelpLine(), StarObjectDraw::readSdrHelpLineSet(), StarObjectModel::readSdrMPageDescList(), StarObjectSmallGraphic::readSdrObject(), StarObjectSmallGraphic::readSDRObjectConnection(), StarObjectSmallGraphic::readSDRObjectSurrogate(), StarObjectSmallGraphic::readSDROutlinerParaObject(), StarObjectModel::readSdrPage(), StarObjectSmallGraphic::readSDRUserData(), StarObjectSmallGraphic::readSDRUserDataList(), StarObjectDraw::readSdrView(), StarObjectSmallGraphic::readSDUDObject(), StarObjectSpreadsheet::readSfxStyleSheets(), readStringsPool(), StarItemPool::readStyles(), StarObjectSmallGraphic::readSVDRObject(), StarObjectSmallGraphic::readSVDRObjectAttrib(), StarObjectSmallGraphic::readSVDRObjectCaption(), StarObjectSmallGraphic::readSVDRObjectCircle(), StarObjectSmallGraphic::readSVDRObjectEdge(), StarObjectSmallGraphic::readSVDRObjectGraph(), StarObjectSmallGraphic::readSVDRObjectGroup(), StarObjectSmallGraphic::readSVDRObjectHeader(), StarObjectSmallGraphic::readSVDRObjectMeasure(), StarObjectSmallGraphic::readSVDRObjectOLE(), StarObjectSmallGraphic::readSVDRObjectPath(), StarObjectSmallGraphic::readSVDRObjectText(), StarFileManager::readSVGDI(), StarObjectText::readSWAttribute(), StarObjectText::readSWAttributeList(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWContent(), StarObjectText::readSWDBName(), StarObjectText::readSWDictionary(), StarObjectText::readSWEndNoteInfo(), StarFormatManager::readSWFlyFrameList(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWJobSetUp(), StarObjectText::readSWLayoutInfo(), StarObjectText::readSWLayoutSub(), StarObjectText::readSWMacroTable(), StarFormatManager::readSWNumberFormat(), StarFormatManager::readSWNumberFormatterList(), StarObjectText::readSWNumRule(), StarObjectText::readSwNumRuleList(), StarObjectText::readSWPageDef(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWTable(), StarObjectText::readSWTableBox(), StarObjectText::readSWTableLine(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), StarItemPool::readV1(), StarItemPool::readV2(), and StarObjectText::readWriterDocument().

int StarZone::getRecordLevel | ( |  | ) | const
| inline

returns the record level

Referenced by StarObjectSpreadsheetInternal::ScMultiRecord::open(), StarObjectModel::read(), StarItemPool::read(), StarGraphicStruct::StarGraphic::read(), StarParagraphAttribute::StarPAttributeAdjust::read(), StarParagraphAttribute::StarPAttributeLRSpace::read(), StarParagraphAttribute::StarPAttributeULSpace::read(), StarCellAttribute::StarCAttributeMargins::read(), StarGraphicAttribute::StarGAttributeBorder::read(), StarCellAttribute::StarCAttributeMerge::read(), StarGraphicAttribute::StarGAttributeBoxInfo::read(), StarCellAttribute::StarCAttributePattern::read(), StarPageAttribute::StarPAttributePage::read(), StarCharAttribute::StarCAttributeEscapement::read(), StarGraphicAttribute::StarGAttributeBrush::read(), StarCharAttribute::StarCAttributeFont::read(), StarCellAttribute::StarCAttributeProtection::read(), StarPageAttribute::StarPAttributePageHF::read(), StarPageAttribute::StarPAttributePrint::read(), StarGraphicAttribute::StarGAttributeNamedArrow::read(), StarPageAttribute::StarPAttributeRangeItem::read(), StarGraphicAttribute::StarGAttributeNamedBitmap::read(), StarGraphicAttribute::StarGAttributeNamedColor::read(), StarGraphicAttribute::StarGAttributeNamedDash::read(), StarCharAttribute::StarCAttributeFontSize::read(), StarGraphicAttribute::StarGAttributeNamedGradient::read(), StarGraphicAttribute::StarGAttributeNamedHatch::read(), StarGraphicAttribute::StarGAttributeShadow::read(), StarAttributeBool::read(), StarAttributeColor::read(), StarAttributeDouble::read(), StarAttributeInt::read(), StarAttributeUInt::read(), StarAttributeVec2i::read(), StarAttributeItemSet::read(), StarAttributeVoid::read(), StarItemPool::readAttribute(), StarAttributeManager::readAttribute(), StarBitmap::readBitmap(), StarBitmap::readBitmapInformation(), SWFieldManager::readField(), StarFileManager::readFont(), StarItemPool::readItem(), StarFileManager::readJobSetUp(), StarFormatManager::readNumberFormat(), StarFormatManager::readNumberFormatter(), StarObject::readPersistData(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCColumn(), StarObjectSpreadsheet::readSCData(), StarObjectSpreadsheet::readSCDBData(), StarObjectSpreadsheet::readSCDBPivot(), StarCellFormula::readSCFormula(), StarCellFormula::readSCFormula3(), StarObjectChart::readSCHAttributes(), StarObjectChart::readSCHMemChart(), StarObjectSpreadsheet::readSCMatrix(), StarObjectSpreadsheet::readSCOutlineArray(), StarObjectSpreadsheet::readSCQueryParam(), StarObjectSpreadsheet::readSCTable(), StarObjectDraw::readSdrCustomShow(), StarObjectDraw::readSdrFrameView(), StarObjectDraw::readSdrHelpLine(), StarObjectDraw::readSdrHelpLineSet(), StarObjectModel::readSdrLayer(), StarObjectModel::readSdrLayerSet(), StarObjectModel::readSdrMPageDesc(), StarObjectModel::readSdrMPageDescList(), StarObjectSmallGraphic::readSdrObject(), StarObjectSmallGraphic::readSDRObjectConnection(), StarObjectModel::readSdrPage(), StarObjectModel::readSdrPageUnknownZone1(), StarObjectDraw::readSdrView(), readStringsPool(), StarItemPool::readStyles(), StarObjectSmallGraphic::readSVDRObjectAttrib(), StarObjectSmallGraphic::readSVDRObjectCaption(), StarObjectSmallGraphic::readSVDRObjectCircle(), StarObjectSmallGraphic::readSVDRObjectEdge(), StarObjectSmallGraphic::readSVDRObjectGraph(), StarObjectSmallGraphic::readSVDRObjectGroup(), StarObjectSmallGraphic::readSVDRObjectHeader(), StarObjectSmallGraphic::readSVDRObjectMeasure(), StarObjectSmallGraphic::readSVDRObjectOLE(), StarObjectSmallGraphic::readSVDRObjectPath(), StarObjectSmallGraphic::readSVDRObjectRect(), StarObjectSmallGraphic::readSVDRObjectText(), StarFileManager::readSVGDI(), StarObjectText::readSWAttribute(), StarObjectText::readSWAttributeList(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWContent(), StarObjectText::readSWDBName(), StarObjectText::readSWDictionary(), StarObjectText::readSWEndNoteInfo(), StarFormatManager::readSWFlyFrameList(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWJobSetUp(), StarObjectText::readSWLayoutInfo(), StarObjectText::readSWLayoutSub(), StarObjectText::readSWMacroTable(), StarObjectText::readSWNodeRedline(), StarFormatManager::readSWNumberFormat(), StarFormatManager::readSWNumberFormatterList(), StarObjectText::readSWNumRule(), StarObjectText::readSWOLENode(), StarObjectText::readSWPageDef(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWSection(), StarObjectText::readSWTable(), StarObjectText::readSWTableBox(), StarObjectText::readSWTableLine(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), StarItemPool::readV1(), and StarItemPool::readV2().

int StarZone::getVersion | ( |  | ) | const
| inline

returns the StarOffice version: 3-5

STOFFInputStreamPtr StarZone::input | ( |  | ) |
| inline

return the zone input

Referenced by StarObjectSpreadsheetInternal::ScMultiRecord::close(), StarFileManagerInternal::SfxMultiRecord::close(), StarItemPoolInternal::SfxMultiRecord::close(), StarObjectSpreadsheetInternal::ScMultiRecord::closeContent(), StarFileManagerInternal::SfxMultiRecord::getNewContent(), StarItemPoolInternal::SfxMultiRecord::getNewContent(), StarItemPool::loadSurrogate(), StarFileManagerInternal::SfxMultiRecord::open(), StarItemPoolInternal::SfxMultiRecord::open(), StarObjectSpreadsheetInternal::ScMultiRecord::open(), StarObjectSpreadsheetInternal::ScMultiRecord::openContent(), StarObjectSmallText::read(), StarObjectModel::read(), StarGraphicStruct::StarBrush::read(), StarItemPool::read(), StarGraphicStruct::StarGraphic::read(), StarParagraphAttribute::StarPAttributeAdjust::read(), StarParagraphAttribute::StarPAttributeLRSpace::read(), StarParagraphAttribute::StarPAttributeULSpace::read(), StarCellAttribute::StarCAttributeMargins::read(), StarGraphicAttribute::StarGAttributeBorder::read(), StarCellAttribute::StarCAttributeMerge::read(), StarGraphicAttribute::StarGAttributeBoxInfo::read(), StarCellAttribute::StarCAttributePattern::read(), StarPageAttribute::StarPAttributePage::read(), StarCharAttribute::StarCAttributeEscapement::read(), StarGraphicAttribute::StarGAttributeBrush::read(), StarCharAttribute::StarCAttributeFont::read(), StarCellAttribute::StarCAttributeProtection::read(), StarPageAttribute::StarPAttributePageHF::read(), StarGraphicAttribute::StarGAttributeNamed::read(), StarPageAttribute::StarPAttributePrint::read(), StarGraphicAttribute::StarGAttributeNamedArrow::read(), StarPageAttribute::StarPAttributeRangeItem::read(), StarGraphicAttribute::StarGAttributeNamedBitmap::read(), StarGraphicAttribute::StarGAttributeNamedColor::read(), StarGraphicAttribute::StarGAttributeNamedDash::read(), StarCharAttribute::StarCAttributeFontSize::read(), StarGraphicAttribute::StarGAttributeNamedGradient::read(), StarGraphicAttribute::StarGAttributeNamedHatch::read(), StarGraphicAttribute::StarGAttributeShadow::read(), StarAttributeBool::read(), StarAttributeColor::read(), StarAttributeDouble::read(), StarAttributeInt::read(), StarAttributeUInt::read(), StarAttributeVec2i::read(), StarAttributeItemSet::read(), StarAttributeVoid::read(), StarItemPool::readAttribute(), StarAttributeManager::readAttribute(), StarBitmap::readBitmap(), SDGParser::readBitmap(), StarBitmap::readBitmapInformation(), SWFieldManager::readField(), StarObjectSmallGraphic::readFmFormObject(), StarFileManager::readFont(), StarItemPool::readItem(), StarObject::readItemSet(), StarFileManager::readJobSetUp(), StarFormatManager::readNumberFormat(), StarFormatManager::readNumberFormatter(), StarObject::readPersistData(), StarObjectDraw::readPresentationData(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCColumn(), StarObjectSpreadsheet::readSCData(), StarObjectSpreadsheet::readSCDBData(), StarObjectSpreadsheet::readSCDBPivot(), StarCellFormula::readSCFormula(), StarCellFormula::readSCFormula3(), StarObjectChart::readSCHAttributes(), StarObjectChart::readSCHMemChart(), StarObjectSmallGraphic::readSCHUObject(), StarObjectSpreadsheet::readSCMatrix(), StarObjectSpreadsheet::readSCOutlineArray(), StarObjectSpreadsheet::readSCQueryParam(), StarObjectSpreadsheet::readSCTable(), StarCellFormula::readSCToken(), StarCellFormula::readSCToken3(), StarObjectDraw::readSdrCustomShow(), StarObjectDraw::readSdrFrameView(), StarObjectSmallGraphic::readSDRGluePoint(), StarObjectSmallGraphic::readSDRGluePointList(), StarObjectDraw::readSdrHelpLine(), StarObjectDraw::readSdrHelpLineSet(), StarObjectModel::readSdrLayer(), StarObjectModel::readSdrLayerSet(), StarObjectModel::readSdrMPageDesc(), StarObjectModel::readSdrMPageDescList(), StarObjectSmallGraphic::readSdrObject(), StarObjectSmallGraphic::readSDRObjectConnection(), StarObjectSmallGraphic::readSDRObjectSurrogate(), StarObjectSmallGraphic::readSDROutlinerParaObject(), StarObjectModel::readSdrPage(), StarObjectModel::readSdrPageUnknownZone1(), StarObjectSmallGraphic::readSDRUserData(), StarObjectSmallGraphic::readSDRUserDataList(), StarObjectDraw::readSdrView(), StarObjectSmallGraphic::readSDUDObject(), SDGParser::readSGA3(), StarItemPool::readStyles(), StarObjectSmallGraphic::readSVDRObject(), StarObjectSmallGraphic::readSVDRObjectAttrib(), StarObjectSmallGraphic::readSVDRObjectCaption(), StarObjectSmallGraphic::readSVDRObjectCircle(), StarObjectSmallGraphic::readSVDRObjectEdge(), StarObjectSmallGraphic::readSVDRObjectGraph(), StarObjectSmallGraphic::readSVDRObjectGroup(), StarObjectSmallGraphic::readSVDRObjectHeader(), StarObjectSmallGraphic::readSVDRObjectMeasure(), StarObjectSmallGraphic::readSVDRObjectOLE(), StarObjectSmallGraphic::readSVDRObjectPath(), StarObjectSmallGraphic::readSVDRObjectRect(), StarObjectSmallGraphic::readSVDRObjectText(), StarFileManager::readSVGDI(), StarObjectText::readSWAttribute(), StarObjectText::readSWAttributeList(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWContent(), StarObjectText::readSWDBName(), StarObjectText::readSWDictionary(), StarObjectText::readSWEndNoteInfo(), StarFormatManager::readSWFlyFrameList(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWJobSetUp(), StarObjectText::readSWLayoutInfo(), StarObjectText::readSWLayoutSub(), StarObjectText::readSWMacroTable(), StarObjectText::readSWNodeRedline(), StarFormatManager::readSWNumberFormat(), StarFormatManager::readSWNumberFormatterList(), StarObjectText::readSWNumRule(), StarObjectText::readSWOLENode(), StarObjectText::readSWPageDef(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWSection(), StarObjectText::readSWTable(), StarObjectText::readSWTableBox(), StarObjectText::readSWTableLine(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), StarItemPool::readV1(), and StarItemPool::readV2().

int StarZone::isCompatibleWith | ( | int | vers | ) | const
| inline

checks if the document is compatible with vers

Referenced by openSWRecord(), SWFieldManager::readField(), readRecordSizes(), readStringsPool(), StarObjectText::readSWContent(), StarObjectText::readSWDBName(), StarObjectText::readSWEndNoteInfo(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), readSWHeader(), StarObjectText::readSWImageMap(), StarObjectText::readSWMacroTable(), StarFormatManager::readSWNumberFormat(), StarObjectText::readSWNumRule(), StarObjectText::readSWOLENode(), StarObjectText::readSWPageDef(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWSection(), StarObjectText::readSWTable(), StarObjectText::readSWTableBox(), StarObjectText::readSWTableLine(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), and StarObjectText::readWriterDocument().

int StarZone::isCompatibleWith | ( | int | vers1,
|  | int | vers2
| ) |  | const
| inline

checks if the document is compatible with vers1 and not vers2

int StarZone::isCompatibleWith | ( | int | vers1,
|  | int | vers2,
|  | int | vers3
| ) |  | const
| inline

checks if the document is compatible with vers1 and not vers2 or vers3

int StarZone::isCompatibleWith | ( | int | vers1,
|  | int | vers2,
|  | int | vers3,
|  | int | vers4
| ) |  | const
| inline

checks if the document is compatible with vers1 and not vers2 or vers3 and not vers4

std::string const& StarZone::name | ( |  | ) | const
| inline

return the zone name

bool StarZone::openDummyRecord | ( |  | ) |

open a dummy record

Referenced by closeRecord(), and StarItemPool::readAttribute().

unsigned char StarZone::openFlagZone | ( |  | ) |

try to open a cflag zone

Referenced by getRecordLastPosition(), SWFieldManager::readField(), readRecordSizes(), StarObjectText::readSWAttribute(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWContent(), StarObjectText::readSWEndNoteInfo(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWJobSetUp(), StarObjectText::readSWLayoutInfo(), StarObjectText::readSWNodeRedline(), StarFormatManager::readSWNumberFormat(), StarObjectText::readSWNumRule(), StarObjectText::readSwNumRuleList(), StarObjectText::readSWPageDef(), StarObjectText::readSwPageStyleSheets(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWSection(), StarObjectText::readSWTable(), StarObjectText::readSWTableBox(), StarObjectText::readSWTableLine(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), and StarObjectText::readWriterDocument().

bool StarZone::openRecord | ( |  | ) |

try to open a classic record: size (32 bytes) + size-4 bytes

Referenced by StarObjectModel::read(), StarObjectChart::readChartDocument(), StarObjectSmallGraphic::readFmFormObject(), StarObjectSmallGraphic::readSDRGluePoint(), StarObjectSmallGraphic::readSDRGluePointList(), StarObjectModel::readSdrPage(), StarObjectSmallGraphic::readSDRUserData(), StarObjectSmallGraphic::readSDRUserDataList(), StarObjectDraw::readSdrView(), StarObjectSmallGraphic::readSVDRObject(), StarObjectSmallGraphic::readSVDRObjectAttrib(), StarObjectSmallGraphic::readSVDRObjectCaption(), StarObjectSmallGraphic::readSVDRObjectCircle(), StarObjectSmallGraphic::readSVDRObjectEdge(), StarObjectSmallGraphic::readSVDRObjectGraph(), StarObjectSmallGraphic::readSVDRObjectGroup(), StarObjectSmallGraphic::readSVDRObjectHeader(), StarObjectSmallGraphic::readSVDRObjectMeasure(), StarObjectSmallGraphic::readSVDRObjectOLE(), StarObjectSmallGraphic::readSVDRObjectPath(), StarObjectSmallGraphic::readSVDRObjectRect(), StarObjectSmallGraphic::readSVDRObjectText(), and setGuiType().

bool StarZone::openSCHHeader | ( |  | ) |

open a zone header present in a SCH file

Referenced by StarObjectChart::readChartDocument(), StarObjectDraw::readPresentationData(), StarObjectChart::readSCHAttributes(), StarObjectChart::readSCHMemChart(), StarObjectDraw::readSdrCustomShow(), StarObjectDraw::readSdrFrameView(), and StarObjectSmallGraphic::readSDUDObject().

bool StarZone::openSCRecord | ( |  | ) |

try to open a SC record: size (32 bytes) + size bytes

Referenced by closeDummyRecord(), StarObjectSpreadsheetInternal::ScMultiRecord::open(), StarObjectSpreadsheet::readCalcDocument(), StarObject::readPersistData(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCColumn(), StarObjectSpreadsheet::readSCQueryParam(), StarObjectSpreadsheet::readSCTable(), and StarObjectSpreadsheet::readSfxStyleSheets().

bool StarZone::openSDRHeader | ( | std::string & | magic | ) |

open a zone header present in a SDR file

Referenced by StarObjectModel::read(), StarObjectDraw::readSdrHelpLine(), StarObjectDraw::readSdrHelpLineSet(), StarObjectModel::readSdrLayer(), StarObjectModel::readSdrLayerSet(), StarObjectModel::readSdrMPageDesc(), StarObjectModel::readSdrMPageDescList(), StarObjectSmallGraphic::readSdrObject(), StarObjectSmallGraphic::readSDRObjectConnection(), StarObjectModel::readSdrPage(), StarObjectDraw::readSdrView(), and StarObjectSmallGraphic::readSVDRObjectGroup().

bool StarZone::openSfxRecord | ( | char & | type | ) |

try to open a Sfx record: type + size (24 bytes)

Referenced by closeSWRecord(), StarFileManagerInternal::SfxMultiRecord::open(), StarItemPoolInternal::SfxMultiRecord::open(), StarItemPool::readStyles(), and StarItemPool::readV2().

bool StarZone::openSWRecord | ( | char & | type | ) |

try to open a SW record: type + size (24 bytes)

Referenced by closeSCRecord(), SWFieldManager::readField(), readRecordSizes(), readStringsPool(), StarObjectText::readSWAttribute(), StarObjectText::readSWAttributeList(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWContent(), StarObjectText::readSWDBName(), StarObjectText::readSWDictionary(), StarObjectText::readSWEndNoteInfo(), StarFormatManager::readSWFlyFrameList(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWJobSetUp(), StarObjectText::readSWLayoutInfo(), StarObjectText::readSWLayoutSub(), StarObjectText::readSWMacroTable(), StarObjectText::readSWNodeRedline(), StarFormatManager::readSWNumberFormat(), StarFormatManager::readSWNumberFormatterList(), StarObjectText::readSWNumRule(), StarObjectText::readSwNumRuleList(), StarObjectText::readSWOLENode(), StarObjectText::readSWPageDef(), StarObjectText::readSwPageStyleSheets(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWSection(), StarObjectText::readSWTable(), StarObjectText::readSWTableBox(), StarObjectText::readSWTableLine(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), and StarObjectText::readWriterDocument().

bool StarZone::openVersionCompatHeader | ( |  | ) |

open a version compat header (version+size)

Referenced by StarGraphicStruct::StarGraphic::read(), StarFileManager::readFont(), and StarFileManager::readSVGDI().

bool StarZone::readRecordSizes | ( | long | pos | ) |
| protected

try to read the record sizes

Referenced by name(), and readSWHeader().

bool StarZone::readString | ( | std::vector< uint32_t > & | string,
|  | int | encoding = `-1`
| ) |  | const

try to read an unicode string

Referenced by getFlagLastPosition(), StarObjectSmallText::read(), StarObjectModel::read(), StarGraphicStruct::StarBrush::read(), StarCellAttribute::StarCAttributePattern::read(), StarPageAttribute::StarPAttributePage::read(), StarCharAttribute::StarCAttributeFont::read(), StarGraphicAttribute::StarGAttributeNamed::read(), StarAttributeManager::readAttribute(), SDGParser::readBitmap(), StarObjectSpreadsheet::readCalcDocument(), SWFieldManager::readField(), StarObjectSmallGraphic::readFmFormObject(), StarFileManager::readFont(), StarFileManager::readJobSetUp(), StarFileManager::readMathDocument(), StarFormatManager::readNumberFormat(), StarFormatManager::readNumberFormatter(), StarObject::readPersistData(), StarObjectDraw::readPresentationData(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCColumn(), StarObjectSpreadsheet::readSCData(), StarObjectSpreadsheet::readSCDBData(), StarObjectSpreadsheet::readSCDBPivot(), StarObjectChart::readSCHAttributes(), StarObjectChart::readSCHMemChart(), StarObjectSpreadsheet::readSCMatrix(), StarObjectSpreadsheet::readSCQueryParam(), StarObjectSpreadsheet::readSCTable(), StarCellFormula::readSCToken3(), StarObjectDraw::readSdrCustomShow(), StarObjectModel::readSdrLayer(), StarObjectModel::readSdrLayerSet(), StarObjectSmallGraphic::readSDROutlinerParaObject(), StarObjectModel::readSdrPageUnknownZone1(), StarObjectSmallGraphic::readSDUDObject(), readStringsPool(), StarItemPool::readStyles(), StarObjectSmallGraphic::readSVDRObject(), StarObjectSmallGraphic::readSVDRObjectAttrib(), StarObjectSmallGraphic::readSVDRObjectGraph(), StarObjectSmallGraphic::readSVDRObjectGroup(), StarObjectSmallGraphic::readSVDRObjectOLE(), StarFileManager::readSVGDI(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWDBName(), StarObjectText::readSWDictionary(), StarObjectText::readSWEndNoteInfo(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWMacroTable(), StarFormatManager::readSWNumberFormat(), StarObjectText::readSWOLENode(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWSection(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), StarItemPool::readV1(), StarItemPool::readV2(), and StarObjectText::readWriterDocument().

bool StarZone::readStringsPool | ( |  | ) |

try to read a pool of strings

Referenced by getFlagLastPosition(), StarObjectText::readSwNumRuleList(), StarObjectText::readSwPageStyleSheets(), and StarObjectText::readWriterDocument().

bool StarZone::readSWHeader | ( |  | ) |

read the zone header present in a SW file

Referenced by StarObjectText::readSwNumRuleList(), StarObjectText::readSwPageStyleSheets(), and StarObjectText::readWriterDocument().

void StarZone::setEncoding | ( | StarEncoding::Encoding | encod | ) |
| inline

sets the zone encoding

Referenced by StarObjectModel::read(), StarObjectSpreadsheet::readCalcDocument(), and StarObjectSpreadsheet::readSfxStyleSheets().

void StarZone::setGuiType | ( | int | type | ) |
| inline

sets the zone GUI type

Referenced by StarObjectSpreadsheet::readCalcDocument(), and StarObjectSpreadsheet::readSfxStyleSheets().

void StarZone::setInput | ( | STOFFInputStreamPtr | input | ) |

reset the current input

Referenced by input(), StarObjectSpreadsheet::readCalcDocument(), and StarObjectDraw::readDrawDocument().

## Member Data Documentation

libstoff::DebugFile StarZone::m_ascii
| protected

the ascii zone

Referenced by ascii(), closeFlagZone(), closeRecord(), readRecordSizes(), readStringsPool(), readSWHeader(), setInput(), and ~StarZone().

std::string StarZone::m_asciiName
| protected

the file ascii name

Referenced by readSWHeader().

std::map<long, long> StarZone::m_beginToEndMap
| protected

other position to end position zone

Referenced by openSWRecord(), and readRecordSizes().

int StarZone::m_documentVersion
| protected

the document version

Referenced by getDocumentVersion(), isCompatibleWith(), and readSWHeader().

StarEncoding::Encoding StarZone::m_encoding
| protected

the zone encoding

Referenced by getEncoding(), readString(), readStringsPool(), readSWHeader(), and setEncoding().

shared_ptr<StarEncryption> StarZone::m_encryption
| protected

the encryption

Referenced by checkEncryption(), and StarZone().

long StarZone::m_flagEndZone
| protected

end of a cflags zone

Referenced by closeFlagZone(), closeRecord(), getFlagLastPosition(), openFlagZone(), openRecord(), openSCRecord(), openSfxRecord(), and openSWRecord().

int StarZone::m_guiType
| protected

the zone GUI type

Referenced by getGuiType(), and setGuiType().

std::stack<int> StarZone::m_headerVersionStack
| protected

the header version (for SDR zone)

Referenced by closeSCHHeader(), closeSDRHeader(), closeVersionCompatHeader(), getHeaderVersion(), openSCHHeader(), openSDRHeader(), and openVersionCompatHeader().

STOFFInputStreamPtr StarZone::m_input
| protected

the input stream

Referenced by closeFlagZone(), closeRecord(), input(), openDummyRecord(), openFlagZone(), openRecord(), openSCHHeader(), openSCRecord(), openSDRHeader(), openSfxRecord(), openSWRecord(), openVersionCompatHeader(), readRecordSizes(), readString(), readStringsPool(), readSWHeader(), and setInput().

std::vector<librevenge::RVNGString> StarZone::m_poolList
| protected

the pool name list

Referenced by getPoolName(), and readStringsPool().

std::stack<long> StarZone::m_positionStack
| protected

the position stack

Referenced by closeRecord(), getRecordLastPosition(), getRecordLevel(), openDummyRecord(), openRecord(), openSCHHeader(), openSCRecord(), openSDRHeader(), openSfxRecord(), openSWRecord(), and openVersionCompatHeader().

std::stack<char> StarZone::m_typeStack
| protected

the type stack

Referenced by closeRecord(), openDummyRecord(), openRecord(), openSCHHeader(), openSCRecord(), openSDRHeader(), openSfxRecord(), openSWRecord(), and openVersionCompatHeader().

int StarZone::m_version
| protected

the zone version

Referenced by getVersion(), and readSWHeader().

std::string StarZone::m_zoneName
| protected

the zone name

Referenced by name(), readRecordSizes(), and readSWHeader().

The documentation for this class was generated from the following files:

- StarZone.hxx
- StarZone.cxx